event.h File Reference
`#include "lscp/socket.h"`

Go to the source code of this file.

## Typedefs

typedef enum _lscp_event_t | lscp_event_t

## Enumerations

enum

_lscp_event_t {
LSCP_EVENT_NONE = 0x0000, LSCP_EVENT_CHANNEL_COUNT = 0x0001, LSCP_EVENT_VOICE_COUNT = 0x0002, LSCP_EVENT_STREAM_COUNT = 0x0004,
LSCP_EVENT_BUFFER_FILL = 0x0008, LSCP_EVENT_CHANNEL_INFO = 0x0010, LSCP_EVENT_TOTAL_VOICE_COUNT = 0x0020, LSCP_EVENT_AUDIO_OUTPUT_DEVICE_COUNT = 0x0040,
LSCP_EVENT_AUDIO_OUTPUT_DEVICE_INFO = 0x0080, LSCP_EVENT_MIDI_INPUT_DEVICE_COUNT = 0x0100, LSCP_EVENT_MIDI_INPUT_DEVICE_INFO = 0x0200, LSCP_EVENT_MIDI_INSTRUMENT_MAP_COUNT = 0x0400,
LSCP_EVENT_MIDI_INSTRUMENT_MAP_INFO = 0x1000, LSCP_EVENT_MIDI_INSTRUMENT_COUNT = 0x2000, LSCP_EVENT_MIDI_INSTRUMENT_INFO = 0x4000, LSCP_EVENT_MISCELLANEOUS = 0x8000,
LSCP_EVENT_CHANNEL_MIDI = 0x00010000, LSCP_EVENT_DEVICE_MIDI = 0x00020000
}

## Functions

const char * | lscp_event_to_text (lscp_event_t event)
lscp_event_t | lscp_event_from_text (const char *pszText)

## Typedef Documentation

typedef enum _lscp_event_t lscp_event_t

Subscribable event notification types.

## Enumeration Type Documentation

enum _lscp_event_t

Subscribable event notification types.

Enumerator
LSCP_EVENT_NONE |
LSCP_EVENT_CHANNEL_COUNT |
LSCP_EVENT_VOICE_COUNT |
LSCP_EVENT_STREAM_COUNT |
LSCP_EVENT_BUFFER_FILL |
LSCP_EVENT_CHANNEL_INFO |
LSCP_EVENT_TOTAL_VOICE_COUNT |
LSCP_EVENT_AUDIO_OUTPUT_DEVICE_COUNT |
LSCP_EVENT_AUDIO_OUTPUT_DEVICE_INFO |
LSCP_EVENT_MIDI_INPUT_DEVICE_COUNT |
LSCP_EVENT_MIDI_INPUT_DEVICE_INFO |
LSCP_EVENT_MIDI_INSTRUMENT_MAP_COUNT |
LSCP_EVENT_MIDI_INSTRUMENT_MAP_INFO |
LSCP_EVENT_MIDI_INSTRUMENT_COUNT |
LSCP_EVENT_MIDI_INSTRUMENT_INFO |
LSCP_EVENT_MISCELLANEOUS |
LSCP_EVENT_CHANNEL_MIDI |
LSCP_EVENT_DEVICE_MIDI |

## Function Documentation

lscp_event_t lscp_event_from_text | ( | const char * | pszText | ) |

Getting an event from a text string.

Parameters

  pszText | Text string to convert to event.

Returns
  The event correponding to the text string.

References LSCP_EVENT_AUDIO_OUTPUT_DEVICE_COUNT, LSCP_EVENT_AUDIO_OUTPUT_DEVICE_INFO, LSCP_EVENT_BUFFER_FILL, LSCP_EVENT_CHANNEL_COUNT, LSCP_EVENT_CHANNEL_INFO, LSCP_EVENT_CHANNEL_MIDI, LSCP_EVENT_DEVICE_MIDI, LSCP_EVENT_MIDI_INPUT_DEVICE_COUNT, LSCP_EVENT_MIDI_INPUT_DEVICE_INFO, LSCP_EVENT_MIDI_INSTRUMENT_COUNT, LSCP_EVENT_MIDI_INSTRUMENT_INFO, LSCP_EVENT_MIDI_INSTRUMENT_MAP_COUNT, LSCP_EVENT_MIDI_INSTRUMENT_MAP_INFO, LSCP_EVENT_MISCELLANEOUS, LSCP_EVENT_NONE, LSCP_EVENT_STREAM_COUNT, LSCP_EVENT_TOTAL_VOICE_COUNT, and LSCP_EVENT_VOICE_COUNT.

Referenced by server_callback().

const char* lscp_event_to_text | ( | lscp_event_t | event | ) |

Getting the text string representation of a single event.

Parameters

  event | Event to convert to text string.

Returns
  The text string representation of the event.

References LSCP_EVENT_AUDIO_OUTPUT_DEVICE_COUNT, LSCP_EVENT_AUDIO_OUTPUT_DEVICE_INFO, LSCP_EVENT_BUFFER_FILL, LSCP_EVENT_CHANNEL_COUNT, LSCP_EVENT_CHANNEL_INFO, LSCP_EVENT_CHANNEL_MIDI, LSCP_EVENT_DEVICE_MIDI, LSCP_EVENT_MIDI_INPUT_DEVICE_COUNT, LSCP_EVENT_MIDI_INPUT_DEVICE_INFO, LSCP_EVENT_MIDI_INSTRUMENT_COUNT, LSCP_EVENT_MIDI_INSTRUMENT_INFO, LSCP_EVENT_MIDI_INSTRUMENT_MAP_COUNT, LSCP_EVENT_MIDI_INSTRUMENT_MAP_INFO, LSCP_EVENT_MISCELLANEOUS, LSCP_EVENT_NONE, LSCP_EVENT_STREAM_COUNT, LSCP_EVENT_TOTAL_VOICE_COUNT, and LSCP_EVENT_VOICE_COUNT.

Referenced by client_callback(), and lscp_server_broadcast().